import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

import static ru.ifmo.testlib.Outcome.Type.OK;
import static ru.ifmo.testlib.Outcome.Type.WA;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int jn = ans.nextInt();
        int pn = ouf.nextInt();
        if (jn != pn)
            return new Outcome(WA, "Jury and part numbers of robots is different");
        for (int i = 0; i < jn; ++i) {
            int jd = ans.nextInt();
            int pd = ouf.nextInt();
            if (jd != pd)
                return new Outcome(WA, String.format("Jury and part robot[%d] is different: expected = %d, found = %d", i + 1, jd, pd));
        }
        return new Outcome(OK, "OK. ans = " + jn);
    }

}

